OpenStack Compute (Nova)

Trying to Update a server which the user is not authorized for throws a ComputeFault

Reported by Mark Washenberger on 2012-03-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Undecided
Mark Washenberger

Bug Description

Example traceback:

2012-03-02 22:13:40 INFO nova.api.openstack.wsgi [req-5eee45d1-5d4d-4ad0-82b0-abc25020dce5 172785 659604] PUT http://127.0.0.1:8775/v2/659604/servers/22312279-4699-47b5-af83-52e884c8e67b
2012-03-02 22:13:40 ERROR nova.api.openstack [req-5eee45d1-5d4d-4ad0-82b0-abc25020dce5 172785 659604] Caught error: Instance 22312279-4699-47b5-af83-52e884c8e67b could not be found.
(nova.api.openstack): TRACE: Traceback (most recent call last):
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/api/openstack/__init__.py", line 41, in __call__
(nova.api.openstack): TRACE: return req.get_response(self.application)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/request.py", line 919, in get_response
(nova.api.openstack): TRACE: application, catch_exc_info=False)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/request.py", line 887, in call_application
(nova.api.openstack): TRACE: app_iter = application(self.environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/routes/middleware.py", line 131, in __call__
(nova.api.openstack): TRACE: response = self.app(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/dec.py", line 147, in __call__
(nova.api.openstack): TRACE: resp = self.call_func(req, *args, **self.kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.6/webob/dec.py", line 208, in call_func
(nova.api.openstack): TRACE: return self.func(req, *args, **kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/api/openstack/wsgi.py", line 800, in __call__
(nova.api.openstack): TRACE: content_type, body, accept)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/api/openstack/wsgi.py", line 848, in _process_stack
(nova.api.openstack): TRACE: action_result = self.dispatch(meth, request, action_args)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/api/openstack/wsgi.py", line 923, in dispatch
(nova.api.openstack): TRACE: return method(req=request, **action_args)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/api/openstack/compute/servers.py", line 810, in update
(nova.api.openstack): TRACE: instance = self.compute_api.get(ctxt, id)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/compute/api.py", line 978, in get
(nova.api.openstack): TRACE: instance = self.db.instance_get_by_uuid(context, instance_id)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/db/api.py", line 586, in instance_get_by_uuid
(nova.api.openstack): TRACE: return IMPL.instance_get_by_uuid(context, uuid)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/db/sqlalchemy/api.py", line 119, in wrapper
(nova.api.openstack): TRACE: return f(*args, **kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/python2.6/dist-packages/nova/db/sqlalchemy/api.py", line 1453, in instance_get_by_uuid
(nova.api.openstack): TRACE: raise exception.InstanceNotFound(instance_id=uuid)
(nova.api.openstack): TRACE: InstanceNotFound: Instance 22312279-4699-47b5-af83-52e884c8e67b could not be found.
(nova.api.openstack): TRACE:
2012-03-02 22:13:41 INFO nova.api.openstack [req-5eee45d1-5d4d-4ad0-82b0-abc25020dce5 172785 659604] http://127.0.0.1:8775/v2/659604/servers/22312279-4699-47b5-af83-52e884c8e67b returned with HTTP 500

Changed in nova:
assignee: nobody → Mark Washenberger (markwash)

Fix proposed to branch: master
Review: https://review.openstack.org/4842

Changed in nova:
status: New → In Progress

Reviewed: https://review.openstack.org/4842
Committed: http://github.com/openstack/nova/commit/d7acf13525aaac43a08fa4763bc149e708ab7d39
Submitter: Jenkins
Branch: master

commit d7acf13525aaac43a08fa4763bc149e708ab7d39
Author: Mark Washenberger <email address hidden>
Date: Fri Mar 2 17:39:58 2012 -0500

    Handle InstanceNotFound during server update

    fixes bug 945206

    Change-Id: I4e5519cf03e61db78ee1f147f07bc2d1c0e01c49

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in nova:
milestone: none → essex-rc1
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-rc1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers